Skip to main content
`Ctrl`+`K`

# KSPInitializePackage

This function initializes everything in the `KSP` package. It is called from `PetscDLLibraryRegister_petscksp()` when using dynamic libraries, and on the first call to `KSPCreate()` when using shared or static libraries.

## Synopsis

    PetscErrorCode KSPInitializePackage(void)

## Note

This function never needs to be called by PETSc users.

## See Also

KSP: Linear System Solvers, `PetscInitialize()`, `KSPFinalizePackage()`

## Level

developer

## Location

src/ksp/ksp/interface/dlregisksp.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages